%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-moment
Version:    2.8.3
Release:    2%{?dist}
Summary:    Parse, manipulate and display dates
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/timrwood/moment
Source0:    http://registry.npmjs.org/moment/-/moment-%{version}.tgz
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:    tests-%{version}.tar.bz2
Source10:   dl-tests.sh

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging
BuildRequires:  web-assets-devel

BuildRequires:  uglify-js
BuildRequires:  npm(grunt-cli)
BuildRequires:  npm(grunt-contrib-concat)
BuildRequires:  npm(grunt-contrib-uglify)
BuildRequires:  npm(load-grunt-tasks)

%if 0%{?enable_tests}
BuildRequires:  npm(grunt-contrib-nodeunit)
BuildRequires:  npm(grunt-contrib-watch)
# BuildRequires:  npm(grunt-env)
BuildRequires:  npm(nodeunit)
%endif

Requires:       js-moment = 0:%{version}-%{release}


%description
%{summary}.


%package -n js-moment
Summary:    Parse, manipulate and display dates for the browser
Group:      System Environment/Libraries
Requires:   web-assets-filesystem

%description -n js-moment
Parse, manipulate and display dates for the browser.


%prep
%setup -q -n package
%setup -q -T -D -a 1 -n package

# Remove executable bits.
find . -type f -exec chmod -x '{}' \;
# Remove pre-minified sources.
rm -f min/*.min.js


%build
%nodejs_symlink_deps --check
/usr/bin/grunt uglify


%install
mkdir -p %{buildroot}%{_jsdir}/moment
cp -pr locale/ min/ moment.js \
    %{buildroot}%{_jsdir}/moment

mkdir -p %{buildroot}%{nodejs_sitelib}/moment
cp -pr package.json bower.json component.json composer.json \
    ender.js package.js \
    %{buildroot}%{nodejs_sitelib}/moment

for i in locale min moment.js; do
    ln -s %{_jsdir}/moment/${i} \
        %{buildroot}%{nodejs_sitelib}/moment/${i}
done

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
/usr/bin/grunt test:node
%endif


%files
%doc CHANGELOG.md CONTRIBUTING.md LICENSE README.md
%{nodejs_sitelib}/moment

%files -n js-moment
%doc CHANGELOG.md CONTRIBUTING.md LICENSE README.md
%{_jsdir}/moment


%changelog
* Fri Jan 02 2015 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.8.3-2
- fix symlinks to /usr/share/javascript (#1178029)

* Mon Nov 03 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.8.3-1
- update to upstream release 2.8.3

* Mon Nov 03 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.6.0-4
- create js-moment subpackage (#1151813)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu May 08 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.6.0-2
- depend explicitly on latest version of uglifyjs

* Sun Apr 13 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.6.0-1
- update to upstream release 2.6.0
- use Grunt to build minified sources

* Sun Jun 02 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.0.0-1
- initial package
